#ifndef __GLOBALS_HPP__
#define __GLOBALS_HPP__

#ifdef __cplusplus // Kludge to get check_xlic.c to compile
#include <cstdint>
#else // __cplusplus
#include "stdint.h"
#endif // __cplusplus

#include "config.h"

#ifndef XLIC_TMP
#define XLIC_TMP "/tmp/"
#endif // XLIC_TMP

#ifndef XLIC_LOCKFILE
#define XLIC_LOCKFILE "/var/lock/xlic.lock"
#endif // XLIC_LOCKFILE

#ifndef XLIC_SERIAL_FILE
#define XLIC_SERIAL_FILE "/etc/cpbx/serial"
#endif // XLIC_SERIAL_FILE

#ifndef XLIC_MAX_CLOCK_SHIFT
#define XLIC_MAX_CLOCK_SHIFT (24 * 60 * 60) // Roughly 24 hours
#endif // XLIC_MAX_CLOCK_SHIFT

extern const char bin2hex_map[16];
extern const uint8_t hex2bin_map[256];

#endif // __GLOBALS_HPP__
